package com.hfkj.sysenum;

import java.util.Objects;

/**
 * 结算类型
 * @author hurui
 */

public enum MerSettleType {

    status1(1, "对公结算", "BANK_ACCOUNT_TYPE_CORPORATE"),
    status2(2, "对私法人结算", "BANK_ACCOUNT_TYPE_PERSONAL"),
    status3(3, "对私非法人结算", "BANK_ACCOUNT_TYPE_PERSONAL"),
    ;

    private Integer number;

    private String name;

    private String wxCode;

    MerSettleType(int number, String name, String wxCode) {
        this.number = number;
        this.name = name;
        this.wxCode = wxCode;
    }

    public static MerSettleType getDataByNumber(Integer number) {
        for (MerSettleType ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getWxCode() {
        return wxCode;
    }

    public void setWxCode(String wxCode) {
        this.wxCode = wxCode;
    }
}
